> ## Documentation Index
> Fetch the complete documentation index at: https://jetemail.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a template

> Only the fields present in the body are updated.



## OpenAPI

````yaml /openapi.json patch /marketing/templates/{id}
openapi: 3.0.0
info:
  title: JetEmail API
  version: 1.0.0
  description: API documentation for JetEmail's transactional email service.
servers:
  - url: https://api.jetemail.com
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Email
    description: Send transactional email
  - name: Outbound
    description: 'Outbound sending: keys, SMTP users, domains, logs, suppression'
  - name: Inbound
    description: Inbound routing, domains and forward destinations
  - name: Marketing
    description: >-
      Marketing suite: templates, audiences, contacts, broadcasts, themes,
      assets
externalDocs:
  description: Download OpenAPI Specification
  url: /openapi.json
paths:
  /marketing/templates/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    patch:
      tags:
        - Marketing
      summary: Update a template
      description: Only the fields present in the body are updated.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarketingTemplateInput'
      responses:
        '200':
          description: Updated
        '404':
          description: Not found
components:
  schemas:
    MarketingTemplateInput:
      type: object
      properties:
        name:
          type: string
        subject:
          type: string
        previewText:
          type: string
        fromName:
          type: string
        fromEmail:
          type: string
          description: Must be on a verified sending domain
        replyTo:
          type: string
        editorType:
          type: string
          enum:
            - builder
            - html
        themeId:
          type: string
          nullable: true
        blocks:
          type: array
          items:
            type: object
          description: Builder block tree
        styles:
          type: object
          description: EmailStyles
        html:
          type: string
        text:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: API key for account management endpoints. Use your api_ prefixed token.

````